<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-step-owner-heading">Create or edit a Step Owner</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_staffId">Staff Id</label>
                    <input type="text" class="form-control" name="staffId" id="field_staffId"
                           formControlName="staffId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_givenName">Given Name</label>
                    <input type="text" class="form-control" name="givenName" id="field_givenName"
                           formControlName="givenName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_middleName">Middle Name</label>
                    <input type="text" class="form-control" name="middleName" id="field_middleName"
                           formControlName="middleName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_surName">Sur Name</label>
                    <input type="text" class="form-control" name="surName" id="field_surName"
                           formControlName="surName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                           formControlName="email"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
